FLANG

Public Types | Public Member Functions | Static Public Member Functions | List of all members
Fortran::evaluate::DescriptorInquiry Class Reference

## Public Types
using | Result = SubscriptInteger

## Public Member Functions
| DescriptorInquiry (const NamedEntity &, Field, int=0)
| DescriptorInquiry (NamedEntity &&, Field, int=0)
NamedEntity & | base ()
const NamedEntity & | base () const
Field | field () const
int | dimension () const
bool | operator== (const DescriptorInquiry &) const
llvm::raw_ostream & | AsFortran (llvm::raw_ostream &) const

## Static Public Member Functions
static constexpr int | Rank ()

The documentation for this class was generated from the following files:

- include/flang/Evaluate/variable.h
- lib/Evaluate/formatting.cpp
- lib/Evaluate/variable.cpp